﻿@using Portal.Models.DCLScreen
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;
@model Toyota.Common.Web.MVC.ModelHolder

@using Portal.Models.EmergencyDCLOrderCreation;







 
 <table width="100%" cellpadding="3" cellspacing="0" border="0">
            <tr>
                <td width="85px">
                    <label for="LP">Logistic Partner</label>
                </td>
                <td width="243px">
                    @Html.DevExpress().DropDownEdit(
                    settings => {
                        settings.Name = "cbLPCode";
                        settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                        settings.Properties.DropDownWindowStyle.BackColor = System.Drawing.Color.FromArgb(0xEDEDED);

                        settings.SetDropDownWindowTemplateContent(c =>
                        {
                            @Html.DevExpress().GridView(
                                lpsettings =>
                                {
                                    lpsettings.Name = "grdLPCode";
                                    lpsettings.KeyFieldName = "LPCode";
                                    lpsettings.CallbackRouteValues = new { Controller = "DCLScreen", Action = "DCLScreenLogisticPartner" };
                                    lpsettings.Width = System.Web.UI.WebControls.Unit.Percentage(100);                                

                                    lpsettings.Settings.ShowFilterRow = false;
                                    lpsettings.Settings.ShowFilterRowMenu = true;
                                    lpsettings.Settings.ShowHorizontalScrollBar = true;
                            
                                    lpsettings.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
                                    lpsettings.SettingsPager.FirstPageButton.Visible = true;
                                    lpsettings.SettingsPager.LastPageButton.Visible = true;
                                    lpsettings.SettingsPager.PageSize = 10;
                                    lpsettings.SettingsPager.ShowNumericButtons = true;
                            
                                    lpsettings.SettingsPager.PageSizeItemSettings.Visible = true;
                                    lpsettings.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "20", "30", "40" };

                                    lpsettings.CommandColumn.Visible = true;
                                    lpsettings.CommandColumn.ShowSelectCheckbox = true;
                                    lpsettings.SettingsBehavior.AllowSelectSingleRowOnly = true;
                                                            
                                    lpsettings.Columns.Add(
                                       setting =>
                                       {
                                           setting.Caption = "LPCode";
                                           setting.FieldName = "LPCode";
                                           setting.ColumnType = MVCxGridViewColumnType.TextBox;
                                           setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                           setting.Width = Unit.Percentage(100);
                                       });

                                    lpsettings.Columns.Add(
                                       setting =>
                                       {
                                           setting.Caption = "LPName";
                                           setting.FieldName = "LPName";
                                           setting.ColumnType = MVCxGridViewColumnType.TextBox;
                                           setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                           setting.Width = Unit.Percentage(100);
                                       });
                                }).Bind(Model.GetModel<Portal.Models.DCLScreen.DCLScreenModel>().Combo).Render();
                        
                            ViewContext.Writer.Write("<table style=\"width:100%\"><tr><td align=\"right\">");
                            @Html.DevExpress().Button(
                                buttonSettings => {
                                    buttonSettings.Name = "buttonCloseLP";
                                    buttonSettings.Text = "Close";
                                    buttonSettings.Style.Add("float", "right");
                                    buttonSettings.ClientSideEvents.Click = "function(s, e){ cbLPCode.HideDropDown(); }";                
                                }
                            )
                            .Render();
                            ViewContext.Writer.Write("</td></tr></table>");
                        });
                    }
                         ).GetHtml()
                    
                 </td>
             </tr>
</table>


<table width="100%" cellpadding="3" cellspacing="0" border="0">
             <tr>
                <td width="85px">
                    <label for="Term">Pick Up Date</label>
                </td>
              @*  @using (Html.BeginForm("Search", "DCLScreen"))
                {   *@
                    <td>
                       
                        @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "TermFrom";
                                    settings.Width = Unit.Pixel(110);

                                }
                             ).GetHtml()
                    </td>
                     <td>  To    </td>
                     <td> 
                        @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "TermTo";
                                    settings.Width = Unit.Pixel(110);

                                }
                             ).GetHtml()
                       
                    </td>
                  
            @*    } *@
             </tr>
        </table>

        <div style="padding:0px; padding-right:0px; padding-bottom:8px">
        </div>

<table width="100%">
    <tr>
        
        <td width="100%" align="right">
              
            @Html.DevExpress().Button(
                            settings =>
                            {
                                settings.Name = "Search2";
                                settings.Text = "Search";
                                settings.UseSubmitBehavior = true;
                                settings.Width = 50;


                            }
                         ).GetHtml()
           </td>
        <td >
                @Html.DevExpress().Button(
                            settings =>
                            {
                                settings.Name = "Clear";
                                settings.Text = "Clear";
                                settings.UseSubmitBehavior = true;
                                settings.Width = 80;

                            }
                         ).GetHtml()
        </td>
        
    </tr>
</table>
